Package libxyz :: Package ui :: Module box_message :: Class MessageBox

[hide private]
[frames] | no frames]

# Class MessageBox

source code

    Box --+
          |
         MessageBox

Simple box is used to display any kind of text messages Show the message until any key pressed

Instance Methods | [hide private]

__init__(self, xyz, body, message, title="", width=60) | source code

Class Variables | [hide private]

| resolution = `u"message_box", u"box", u"widget"`

Method Details | [hide private]

### __init__(self, xyz, body, message, title="", width=60)
(Constructor)

source code

Parameters:
  - `xyz` - XYZ data
  - `body` - Top-level widget
  - `message` - Message to display
  - `title` - Box title
  - `width` - Box width (including mount box)

    Required resources: title, box, border, mount